Name:           apache-james-project
Version:        1.8.1
Release:        %mkrel 15
Group:          Development/Java
Summary:        Main project POM files and resources
License:        ASL 2.0
URL:            http://james.apache.org/
BuildArch:      noarch

# ./create-tarball.sh %%{VERSION}
Source0:        james-project-1.8.1-clean.tar.gz
Source1:        create-tarball.sh

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-site-plugin)

%description
Main project POM files and resources for Apache James project.

%prep
%setup -q -n james-project-%{version}

# generates erroneous runtime dependency
%pom_remove_plugin :maven-doap-plugin

%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-ssh-external']]"
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='wagon-ssh']]"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.8.1-15.mga6
+ Revision: 982048
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.8.1-14.mga6
+ Revision: 975466
- First rebuild of the java stack
- sync package apache-james-project with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 1.8.1-8.mga5
+ Revision: 805842
- Clean rebuild
- Add missing BuildRequires
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-6.mga5
+ Revision: 747686
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-5.mga5
+ Revision: 677827
- Mageia 5 Mass Rebuild

* Fri May 30 2014 dmorgan <dmorgan> 1.8.1-4.mga5
+ Revision: 628047
- Use cleaned tarball

* Sat Oct 19 2013 umeabot <umeabot> 1.8.1-2.mga4
+ Revision: 529743
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 dmorgan <dmorgan> 1.8.1-1.mga4
+ Revision: 453084
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1.6-5.mga3
+ Revision: 345824
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 1.6-4.mga3
+ Revision: 343663
- Rebuild to generate mvn() provides
- New version

* Wed Apr 27 2011 dmorgan <dmorgan> 1.5-2.mga1
+ Revision: 92249
- Rebuild after bootstrapping
- imported package apache-james-project


* Mon Feb 21 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.5-1
- Initial version of the package

